Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6521718

Need support for auto download of new DST rules JRE 1.4.2, and 1.5.0

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P5
    • Resolution: Fixed
    • Affects Version/s: 1.4.2
    • Fix Version/s: 1.0.1
    • Component/s: deploy
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      1.0.1
    • CPU:
      x86
    • OS:
      windows_xp
    • Verification:
      Not verified

      Description

      A DESCRIPTION OF THE REQUEST :
      I have a DST-sensitive application running under JRE 1.4.2. In order to upgrade users in time for the 2007 DST change, I need to force a download of the latest version. Accordingly, I have added the following line to the JNLP file as per the specification:

      <j2se version="1.4.2_13" href="http://java.sun.com/products/autodl/j2se" max-heap-size="128m" />

      However, JRE 1.4.2_13 is not available for auto-download. This is critical for my application as it would be difficult if not impossible to do a manual update to hundreds of users.

      JUSTIFICATION :
      As above.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      Automatic download of updated JRE.
      ACTUAL -
      JNLP application launch fails because it can't find the required version.

      ---------- BEGIN SOURCE ----------
      As above.
      ---------- END SOURCE ----------

      CUSTOMER SUBMITTED WORKAROUND :
      Manual update of all users.

        Attachments

          Activity

            People

            • Assignee:
              rkajasunw Rajani Kaja (Inactive)
              Reporter:
              ndcosta Nelson Dcosta (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Imported:
                Indexed: